Bug 1226816 - Gedit plugin not working with Gedit later than version 3.12
Summary: Gedit plugin not working with Gedit later than version 3.12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rabbitvcs
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/rabbitvcs/rabbitvc...
Whiteboard:
: 1082942 (view as bug list)
Depends On: 1304050 1405983
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-01 08:13 UTC by Heiko Adams
Modified: 2016-12-19 12:28 UTC (History)
3 users (show)

Fixed In Version: rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc22 rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-28 08:23:37 UTC


Attachments (Terms of Use)

Description Heiko Adams 2015-06-01 08:13:23 UTC
Description of problem:
The gEdit plugin of rabbitvcs is not working with gEdit 3.16. When trying to activate the plugin the checkbox is replaced with an exclamation sign

Version-Release number of selected component (if applicable):
gedit-3.16.2-1.fc22.x86_64
rabbitvcs-gedit-0.16-3.fc22.x86_64
rabbitvcs-nautilus-0.16-3.fc22.x86_64
rabbitvcs-core-0.16-3.fc22.noarch

How reproducible:
allways

Steps to Reproduce:
1. install rabbitvcs-gedit
2. start gedit
3. try to activate the plugin

Actual results:
The plugin can not be activated

Expected results:
The plugin should be activateable

Additional info:

Comment 1 Fedora Admin XMLRPC Client 2016-01-27 22:46:20 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Raphael Groner 2016-01-29 15:28:05 UTC
The plugin needs a port to python3:
https://github.com/rabbitvcs/rabbitvcs/issues/34

Comment 3 Raphael Groner 2016-01-29 16:53:19 UTC
*** Bug 1082942 has been marked as a duplicate of this bug. ***

Comment 4 Raphael Groner 2016-02-02 00:25:37 UTC
We need a new thunarx-python package that supports noarch plugins.

Comment 5 Raphael Groner 2016-02-02 09:44:05 UTC
Gedit plugins interface is b0rken for python, see
https://bugzilla.gnome.org/show_bug.cgi?id=554535

Comment 6 Raphael Groner 2016-02-02 18:22:06 UTC
The plugins API is designed to stop functionality with Gedit version 3.12 latest. The Gedit developers did redesign the API. I must close this bug as upstream, see comment #2.

Comment 7 Fedora Update System 2016-02-02 19:17:09 UTC
rabbitvcs-0.16.1-0.1.20160108gite8214e6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4882588005

Comment 8 Fedora Update System 2016-02-02 19:17:10 UTC
rabbitvcs-0.16.1-0.1.20160108gite8214e6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f817392d97

Comment 9 Raphael Groner 2016-02-03 14:01:49 UTC
Okay, I'll disable the plugin till upstream fixes it for current versions of Gedit as we have in Fedora.

Comment 10 Fedora Update System 2016-02-03 16:24:52 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 11 Fedora Update System 2016-02-03 16:24:52 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 12 Fedora Update System 2016-02-03 22:58:57 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 13 Fedora Update System 2016-02-03 23:24:49 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 14 Fedora Update System 2016-02-04 09:22:18 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 thunarx-python-0.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 15 Fedora Update System 2016-02-04 09:24:26 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 thunarx-python-0.3.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 16 Fedora Update System 2016-02-05 01:23:20 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22, thunarx-python-0.3.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 17 Fedora Update System 2016-02-05 01:24:37 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23, thunarx-python-0.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 18 Fedora Update System 2016-02-15 20:46:59 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-586e9f19f4

Comment 19 Fedora Update System 2016-02-15 20:49:10 UTC
rabbitvcs-0.16.1-0.3.20160108gite8214e6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ad2cc9128

Comment 20 Fedora Update System 2016-02-15 20:52:28 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23 thunarx-python-0.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cfd7d029d6

Comment 21 Fedora Update System 2016-02-17 06:25:02 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc22, thunarx-python-0.3.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d22c19817e

Comment 22 Fedora Update System 2016-02-17 06:28:16 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23, thunarx-python-0.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cfd7d029d6

Comment 23 Fedora Admin XMLRPC Client 2016-02-27 18:58:53 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 24 Fedora Update System 2016-02-28 08:23:16 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc22, thunarx-python-0.3.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2016-02-28 12:23:07 UTC
rabbitvcs-0.16.1-0.4.20160108gite8214e6.fc23, thunarx-python-0.3.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.